#include<stdio.h>
#include<stdlib.h>

int main()
{ 
  unsigned int j,m,n,S1=0,i,k;
  
  //printf("Unesi n i m\n");
  scanf("%u%u",&m,&n);
  if(m<0 && n<0)
  {
    printf("-1 ");
    exit(EXIT_FAILURE);
  }
  if(m<n)
  {
    printf("-1");
    exit(EXIT_FAILURE);
  }
  for(k=1;k<=(m-n+1);k++)
  {
  
  for(i=k;i<=n;i++)
  {
    S1=S1+i; 
  }
  printf(" %u ",S1);
  }
  
  return 0;
}

